JacocoPlugin (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.testing.jacoco.plugins

## [Java] Class JacocoPlugin

- org.gradle.testing.jacoco.plugins.JacocoPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class JacocoPlugin
      extends groovy.lang.GroovyObjectSupport

  Plugin that provides support for generating Jacoco coverage data.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `AGENT_CONFIGURATION_NAME` |
    `static String` | `ANT_CONFIGURATION_NAME` |
    `static String` | `PLUGIN_EXTENSION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JacocoPlugin (org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`
    `Object` | `configureDefaultOutputPathForJacocoMerge()`
    `static String` | `getAGENT_CONFIGURATION_NAME()`
    `static String` | `getANT_CONFIGURATION_NAME()`
    `static String` | `getPLUGIN_EXTENSION_NAME()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String AGENT_CONFIGURATION_NAME

    - #### public static final String ANT_CONFIGURATION_NAME

    - #### public static final String PLUGIN_EXTENSION_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject public JacocoPlugin(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)

    - #### public Object configureDefaultOutputPathForJacocoMerge()

    - #### public static String getAGENT_CONFIGURATION_NAME()

    - #### public static String getANT_CONFIGURATION_NAME()

    - #### public static String getPLUGIN_EXTENSION_NAME()